import { jsx } from "react/jsx-runtime";
import { TokenWRLD as TokenWRLD$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenWRLD = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "WRLD", "data-name": "TokenWRLD", ...props, children: /* @__PURE__ */ jsx(TokenWRLD$1, { variant }) });
  }
);
TokenWRLD.displayName = "TokenWRLD";
Object.assign(TokenWRLD, { isGdsIcon: true });
export {
  TokenWRLD
};
